Index: LMDZ5/trunk/libf/dyn3d/ce0l.F90
===================================================================
--- LMDZ5/trunk/libf/dyn3d/ce0l.F90	(revision 1562)
+++ LMDZ5/trunk/libf/dyn3d/ce0l.F90	(revision 1563)
@@ -67,5 +67,5 @@
 #endif
 
-  IF (config_inca /= 'none') THEN
+  IF (type_trac == 'inca') THEN
 #ifdef INCA
     CALL init_const_lmdz(nbtr,anneeref,dayref,iphysiq,day_step,nday)
Index: LMDZ5/trunk/libf/dyn3d/conf_gcm.F
===================================================================
--- LMDZ5/trunk/libf/dyn3d/conf_gcm.F	(revision 1562)
+++ LMDZ5/trunk/libf/dyn3d/conf_gcm.F	(revision 1563)
@@ -13,4 +13,5 @@
       use ioipsl_getincom
 #endif
+      USE infotrac, ONLY : type_trac
       IMPLICIT NONE
 c-----------------------------------------------------------------------
@@ -571,4 +572,14 @@
        offline = .FALSE.
        CALL getin('offline',offline)
+     
+!Config  Key  = type_trac
+!Config  Desc = Choix de couplage avec model de chimie INCA ou REPROBUS
+!Config  Def  = lmdz
+!Config  Help = 
+!Config         'lmdz' = pas de couplage, pur LMDZ
+!Config         'inca' = model de chime INCA 
+!Config         'repr' = model de chime REPROBUS
+      type_trac = 'lmdz'
+      CALL getin('type_trac',type_trac)
 
 !Config  Key  = config_inca
@@ -643,4 +654,5 @@
       write(lunout,*)' tauyy = ', tauyy
       write(lunout,*)' offline = ', offline
+      write(lunout,*)' type_trac = ', type_trac
       write(lunout,*)' config_inca = ', config_inca
       write(lunout,*)' ok_dynzon = ', ok_dynzon 
@@ -761,4 +773,14 @@
        offline = .FALSE.
        CALL getin('offline',offline)
+
+!Config  Key  = type_trac
+!Config  Desc = Choix de couplage avec model de chimie INCA ou REPROBUS
+!Config  Def  = lmdz
+!Config  Help = 
+!Config         'lmdz' = pas de couplage, pur LMDZ
+!Config         'inca' = model de chime INCA 
+!Config         'repr' = model de chime REPROBUS
+      type_trac = 'lmdz'
+      CALL getin('type_trac',type_trac)
 
 !Config  Key  = config_inca
@@ -886,4 +908,5 @@
       write(lunout,*)' tauy = ', tauy
       write(lunout,*)' offline = ', offline
+      write(lunout,*)' type_trac = ', type_trac
       write(lunout,*)' config_inca = ', config_inca
       write(lunout,*)' ok_dynzon = ', ok_dynzon
Index: LMDZ5/trunk/libf/dyn3d/dynredem.F
===================================================================
--- LMDZ5/trunk/libf/dyn3d/dynredem.F	(revision 1562)
+++ LMDZ5/trunk/libf/dyn3d/dynredem.F	(revision 1563)
@@ -641,5 +641,5 @@
 #endif
 
-      IF (config_inca /= 'none') THEN
+      IF (type_trac == 'inca') THEN
 ! Ajout Anne pour lecture valeurs traceurs dans un fichier start_trac.nc
          ierr_file = NF_OPEN ("start_trac.nc", NF_NOWRITE,nid_trac)
@@ -654,5 +654,5 @@
       do iq=1,nqtot 
 
-         IF (config_inca == 'none') THEN
+         IF (type_trac /= 'inca') THEN
             ierr = NF_INQ_VARID(nid, tname(iq), nvarid)
             IF (ierr .NE. NF_NOERR) THEN
@@ -666,5 +666,5 @@
             ierr = NF_PUT_VAR_REAL (nid,nvarid,q(1,1,iq))
 #endif
-        ELSE ! config_inca = 'chem' ou 'aero'
+        ELSE ! type_trac = inca
 ! lecture de la valeur du traceur dans start_trac.nc
            IF (ierr_file .ne. 2) THEN
@@ -730,5 +730,5 @@
 #endif
           ENDIF ! (ierr_file .ne. 2)
-       END IF   ! config_inca
+       END IF   !type_trac
       
       ENDDO
Index: LMDZ5/trunk/libf/dyn3d/gcm.F
===================================================================
--- LMDZ5/trunk/libf/dyn3d/gcm.F	(revision 1562)
+++ LMDZ5/trunk/libf/dyn3d/gcm.F	(revision 1563)
@@ -212,5 +212,5 @@
 c-----------------------------------------------------------------------
 
-      IF (config_inca /= 'none') THEN
+      IF (type_trac == 'inca') THEN
 #ifdef INCA
       call init_const_lmdz(nbtr,anneeref,dayref,iphysiq,day_step,nday, 
@@ -263,5 +263,5 @@
       endif ! of if (read_start)
 
-      IF (config_inca /= 'none') THEN
+      IF (type_trac == 'inca') THEN
 #ifdef INCA
          call init_inca_dim(klon,llm,iim,jjm,
Index: LMDZ5/trunk/libf/dyn3d/infotrac.F90
===================================================================
--- LMDZ5/trunk/libf/dyn3d/infotrac.F90	(revision 1562)
+++ LMDZ5/trunk/libf/dyn3d/infotrac.F90	(revision 1563)
@@ -32,4 +32,5 @@
   SUBROUTINE infotrac_init
     USE control_mod
+
     IMPLICIT NONE
 !=======================================================================
@@ -85,9 +86,26 @@
     
 
-    IF (config_inca=='none') THEN
-       type_trac='lmdz'
+    ! Coherence test between parameter type_trac and config_inca
+    IF (type_trac=='inca') THEN
+       WRITE(lunout,*) 'You have choosen to couple with INCA chemestry model : type_trac=', &
+            type_trac,' config_inca=',config_inca
+       IF (config_inca/='aero' .AND. config_inca/='chem') THEN
+          WRITE(lunout,*) 'Incoherence between type_trac and config_inca. Model stops. Modify run.def'
+          CALL abort_gcm('infotrac_init','Incoherence between type_trac and config_inca',1)
+       END IF
+    ELSE IF (type_trac == 'lmdz') THEN
+       WRITE(lunout,*) 'Tracers are treated in LMDZ only : type_trac=', type_trac
     ELSE
-       type_trac='inca'
-    END IF
+       WRITE(lunout,*) 'type_trac=',type_trac,' not possible. Model stops'
+       CALL abort_gcm('infotrac_init','bad parameter',1)
+    END IF
+
+
+    ! Test if config_inca is other then none for run without INCA
+    IF (type_trac/='inca' .AND. config_inca/='none') THEN
+       WRITE(lunout,*) 'config_inca will now be changed to none as you do not couple with INCA model'
+       config_inca='none'
+    END IF
+
 
 !-----------------------------------------------------------------------
@@ -119,6 +137,6 @@
          nbtr=nqtrue
        endif
-    ELSE
-       ! nbtr has been read from INCA by init_cont_lmdz() in gcm.F 
+    ELSE ! type_trac=inca
+       ! nbtr has been read from INCA by init_const_lmdz() in gcm.F 
        nqtrue=nbtr+2
     END IF
@@ -128,4 +146,6 @@
        CALL abort_gcm('infotrac_init','Not enough tracers',1)
     END IF
+    
+       
 !
 ! Allocate variables depending on nqtrue and nbtr
Index: LMDZ5/trunk/libf/dyn3dpar/ce0l.F90
===================================================================
--- LMDZ5/trunk/libf/dyn3dpar/ce0l.F90	(revision 1562)
+++ LMDZ5/trunk/libf/dyn3dpar/ce0l.F90	(revision 1563)
@@ -78,5 +78,5 @@
 #endif
 
-  IF (config_inca /= 'none') THEN
+  IF (type_trac == 'inca') THEN
 #ifdef INCA
       CALL init_const_lmdz( &
Index: LMDZ5/trunk/libf/dyn3dpar/conf_gcm.F
===================================================================
--- LMDZ5/trunk/libf/dyn3dpar/conf_gcm.F	(revision 1562)
+++ LMDZ5/trunk/libf/dyn3dpar/conf_gcm.F	(revision 1563)
@@ -17,4 +17,5 @@
       use parallel, ONLY : omp_chunk
       USE control_mod
+      USE infotrac, ONLY : type_trac
       IMPLICIT NONE
 c-----------------------------------------------------------------------
@@ -588,4 +589,15 @@
        END IF
        
+!Config  Key  = type_trac
+!Config  Desc = Choix de couplage avec model de chimie INCA ou REPROBUS
+!Config  Def  = lmdz
+!Config  Help = 
+!Config         'lmdz' = pas de couplage, pur LMDZ
+!Config         'inca' = model de chime INCA 
+!Config         'repr' = model de chime REPROBUS
+      type_trac = 'lmdz'
+      CALL getin('type_trac',type_trac)
+
+
 !Config  Key  = config_inca
 !Config  Desc = Choix de configuration de INCA
@@ -659,4 +671,5 @@
       write(lunout,*)' tauyy = ', tauyy
       write(lunout,*)' offline = ', offline
+      write(lunout,*)' type_trac = ', type_trac
       write(lunout,*)' config_inca = ', config_inca
       write(lunout,*)' ok_dynzon = ', ok_dynzon 
@@ -785,4 +798,14 @@
      &         'only the file phystoke.nc will still be created ' 
        END IF
+
+!Config  Key  = type_trac
+!Config  Desc = Choix de couplage avec model de chimie INCA ou REPROBUS
+!Config  Def  = lmdz
+!Config  Help = 
+!Config         'lmdz' = pas de couplage, pur LMDZ
+!Config         'inca' = model de chime INCA 
+!Config         'repr' = model de chime REPROBUS
+      type_trac = 'lmdz'
+      CALL getin('type_trac',type_trac)
 
 !Config  Key  = config_inca
@@ -933,4 +956,5 @@
       write(lunout,*)' tauy = ', tauy
       write(lunout,*)' offline = ', offline
+      write(lunout,*)' type_trac = ', type_trac
       write(lunout,*)' config_inca = ', config_inca
       write(lunout,*)' ok_dynzon = ', ok_dynzon 
Index: LMDZ5/trunk/libf/dyn3dpar/dynredem.F
===================================================================
--- LMDZ5/trunk/libf/dyn3dpar/dynredem.F	(revision 1562)
+++ LMDZ5/trunk/libf/dyn3dpar/dynredem.F	(revision 1563)
@@ -641,5 +641,5 @@
 #endif
 
-      IF (config_inca /= 'none') THEN
+      IF (type_trac == 'inca') THEN
 ! Ajout Anne pour lecture valeurs traceurs dans un fichier start_trac.nc
          ierr_file = NF_OPEN ("start_trac.nc", NF_NOWRITE,nid_trac)
@@ -654,5 +654,5 @@
       do iq=1,nqtot 
 
-         IF (config_inca == 'none') THEN
+         IF (type_trac /= 'inca') THEN
             ierr = NF_INQ_VARID(nid, tname(iq), nvarid)
             IF (ierr .NE. NF_NOERR) THEN
@@ -666,5 +666,5 @@
             ierr = NF_PUT_VAR_REAL (nid,nvarid,q(1,1,iq))
 #endif
-        ELSE ! config_inca = 'chem' ou 'aero'
+        ELSE ! type_trac=inca
 ! lecture de la valeur du traceur dans start_trac.nc
            IF (ierr_file .ne. 2) THEN
@@ -730,5 +730,5 @@
 #endif
           ENDIF ! (ierr_file .ne. 2)
-       END IF   ! config_inca
+       END IF   ! type_trac
       
       ENDDO
Index: LMDZ5/trunk/libf/dyn3dpar/dynredem_p.F
===================================================================
--- LMDZ5/trunk/libf/dyn3dpar/dynredem_p.F	(revision 1562)
+++ LMDZ5/trunk/libf/dyn3dpar/dynredem_p.F	(revision 1563)
@@ -650,5 +650,5 @@
 #endif
 
-      IF (config_inca /= 'none') THEN
+      IF (type_trac == 'inca') THEN
 ! Ajout Anne pour lecture valeurs traceurs dans un fichier start_trac.nc
          inquire(FILE="start_trac.nc", EXIST=exist_file) 
@@ -667,5 +667,5 @@
       do iq=1,nqtot 
 
-         IF (config_inca == 'none') THEN
+         IF (type_trac /= 'inca') THEN
             ierr = NF_INQ_VARID(nid, tname(iq), nvarid)
             IF (ierr .NE. NF_NOERR) THEN
@@ -678,5 +678,5 @@
             ierr = NF_PUT_VAR_REAL (nid,nvarid,q(1,1,iq))
 #endif
-        ELSE ! config_inca = 'chem' ou 'aero'
+        ELSE ! type_trac = inca
 ! lecture de la valeur du traceur dans start_trac.nc
            IF (ierr_file .ne. 2) THEN
@@ -732,5 +732,5 @@
 #endif
           ENDIF ! (ierr_file .ne. 2)
-       END IF   ! config_inca
+       END IF   ! type_trac
       
       ENDDO
Index: LMDZ5/trunk/libf/dyn3dpar/gcm.F
===================================================================
--- LMDZ5/trunk/libf/dyn3dpar/gcm.F	(revision 1562)
+++ LMDZ5/trunk/libf/dyn3dpar/gcm.F	(revision 1563)
@@ -240,5 +240,5 @@
 #endif
 
-      IF (config_inca /= 'none') THEN
+      IF (type_trac == 'inca') THEN
 #ifdef INCA
          call init_const_lmdz(
@@ -459,5 +459,5 @@
 c   Initialisation des dimensions d'INCA :
 c   --------------------------------------
-      IF (config_inca /= 'none') THEN
+      IF (type_trac == 'inca') THEN
 !$OMP PARALLEL
 #ifdef INCA
Index: LMDZ5/trunk/libf/dyn3dpar/infotrac.F90
===================================================================
--- LMDZ5/trunk/libf/dyn3dpar/infotrac.F90	(revision 1562)
+++ LMDZ5/trunk/libf/dyn3dpar/infotrac.F90	(revision 1563)
@@ -32,4 +32,5 @@
   SUBROUTINE infotrac_init
     USE control_mod
+
     IMPLICIT NONE
 !=======================================================================
@@ -85,9 +86,26 @@
     
 
-    IF (config_inca=='none') THEN
-       type_trac='lmdz'
+    ! Coherence test between parameter type_trac and config_inca
+    IF (type_trac=='inca') THEN
+       WRITE(lunout,*) 'You have choosen to couple with INCA chemestry model : type_trac=', &
+            type_trac,' config_inca=',config_inca
+       IF (config_inca/='aero' .AND. config_inca/='chem') THEN
+          WRITE(lunout,*) 'Incoherence between type_trac and config_inca. Model stops. Modify run.def'
+          CALL abort_gcm('infotrac_init','Incoherence between type_trac and config_inca',1)
+       END IF
+    ELSE IF (type_trac == 'lmdz') THEN
+       WRITE(lunout,*) 'Tracers are treated in LMDZ only : type_trac=', type_trac
     ELSE
-       type_trac='inca'
-    END IF
+       WRITE(lunout,*) 'type_trac=',type_trac,' not possible. Model stops'
+       CALL abort_gcm('infotrac_init','bad parameter',1)
+    END IF
+
+
+    ! Test if config_inca is other then none for run without INCA
+    IF (type_trac/='inca' .AND. config_inca/='none') THEN
+       WRITE(lunout,*) 'config_inca will now be changed to none as you do not couple with INCA model'
+       config_inca='none'
+    END IF
+
 
 !-----------------------------------------------------------------------
@@ -119,6 +137,6 @@
          nbtr=nqtrue
        endif
-    ELSE
-       ! nbtr has been read from INCA by init_cont_lmdz() in gcm.F 
+    ELSE ! type_trac=inca
+       ! nbtr has been read from INCA by init_const_lmdz() in gcm.F 
        nqtrue=nbtr+2
     END IF
@@ -128,4 +146,6 @@
        CALL abort_gcm('infotrac_init','Not enough tracers',1)
     END IF
+    
+       
 !
 ! Allocate variables depending on nqtrue and nbtr
Index: LMDZ5/trunk/libf/phylmd/clesphys.h
===================================================================
--- LMDZ5/trunk/libf/phylmd/clesphys.h	(revision 1562)
+++ LMDZ5/trunk/libf/phylmd/clesphys.h	(revision 1563)
@@ -66,5 +66,5 @@
        LOGICAL ok_isccp, ok_regdyn
        REAL lonmin_ins, lonmax_ins, latmin_ins, latmax_ins
-       REAL ecrit_ins, ecrit_hf, ecrit_hf2mth, ecrit_day
+       REAL ecrit_ins, ecrit_hf, ecrit_day
        REAL ecrit_mth, ecrit_tra, ecrit_reg 
        REAL ecrit_LES
@@ -93,5 +93,5 @@
      &     , ok_mensuelCOSP,ok_journeCOSP,ok_hfCOSP                     &
      &     , lonmin_ins, lonmax_ins, latmin_ins, latmax_ins             &
-     &     , ecrit_ins, ecrit_hf, ecrit_hf2mth, ecrit_day               &
+     &     , ecrit_ins, ecrit_hf, ecrit_day               &
      &     , ecrit_mth, ecrit_tra, ecrit_reg                            &
      &     , freq_ISCCP, ecrit_ISCCP, freq_COSP, ip_ebil_phy            &
Index: LMDZ5/trunk/libf/phylmd/physiq.F
===================================================================
--- LMDZ5/trunk/libf/phylmd/physiq.F	(revision 1562)
+++ LMDZ5/trunk/libf/phylmd/physiq.F	(revision 1563)
@@ -1355,5 +1355,5 @@
          tau_overturning_th(:)=0.
 
-         IF (config_inca /= 'none') THEN
+         IF (type_trac == 'inca') THEN
             ! jg : initialisation jusqu'au ces variables sont dans restart
             ccm(:,:,:) = 0.
@@ -1619,5 +1619,4 @@
 #endif
 
-         ecrit_hf2mth = ecrit_mth/ecrit_hf
 
          ecrit_hf = ecrit_hf * un_jour
@@ -1633,7 +1632,4 @@
          ecrit_LES = ecrit_LES * un_jour
 c
-         PRINT*,'physiq ecrit_ hf day mth reg tra ISCCP hf2mth',
-     .   ecrit_hf,ecrit_day,ecrit_mth,ecrit_reg,ecrit_tra,ecrit_ISCCP,
-     .   ecrit_hf2mth
 
 cXXXPB Positionner date0 pour initialisation de ORCHIDEE
@@ -1652,5 +1648,5 @@
 cc         ENDDO
 c
-      IF (config_inca /= 'none') THEN
+      IF (type_trac == 'inca') THEN
 #ifdef INCA
          CALL VTe(VTphysiq)
@@ -3150,5 +3146,5 @@
       ENDDO
 
-      IF (config_inca /= 'none') THEN
+      IF (type_trac == 'inca') THEN
 #ifdef INCA
          CALL VTe(VTphysiq)
@@ -3204,5 +3200,5 @@
          CALL VTb(VTphysiq)
 #endif 
-      END IF !config_inca /= 'none'
+      END IF !type_trac = inca
 c     
 c Calculer les parametres optiques des nuages et quelques
@@ -3860,5 +3856,5 @@
 #include "calcul_divers.h"
 c
-      IF (config_inca /= 'none') THEN
+      IF (type_trac == 'inca') THEN
 #ifdef INCA
          CALL VTe(VTphysiq)